Package com.treemap.swing.treeplot

# Class SwingTreePlot<N,Row,Column>

java.lang.Object
com.treemap.treeplot.AbstractTreePlot<JComponent,N,Row,Column,Color,Font>
com.treemap.swing.treeplot.SwingTreePlot<N,Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `TreePlot<JComponent,N,Row,Column,Color,Font>`

public class SwingTreePlot<N,Row,Column> extends AbstractTreePlot<JComponent,N,Row,Column,Color,Font>
A facade to the TreeMap model-view-controller (MVC) architecture. In brief, the controller collects user input, the model manipulates application data, and the view presents results to the user. This class wraps a `TreePlotModel`, `SwingTreePlotView`, and `SwingTreePlotController` together. It allows easy loading of the data and customization of the most common settings.

- ## Field Summary

  ### Fields inherited from class com.treemap.treeplot.AbstractTreePlot

  `controller, licenseModel, view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTreePlot()`
  Creates a TreePlot component with default settings and configuration.
  `SwingTreePlot(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a TreePlot component with the specified Swing TableModel.
  `SwingTreePlot(SwingTreePlotModel model)`
  Creates a TreePlot component with the its native data model.
  `SwingTreePlot(TreeMapModel model)`
  Creates a TreePlot component using the data model used by TreeMap.
  `SwingTreePlot(TreePlotModel model)`
  `SwingTreePlot(TableModel tableModel)`
  Creates a TreePlot component with the specified Swing TableModel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SwingTreePlotController`
  `createController()`
  `protected TreePlotController<JComponent,N,Row,Column,Color,Font>`
  `createController(TreePlotView<JComponent,N,Row,Column,Color,Font> view)`
  `protected SwingTreePlotView`
  `createTreePlotView()`
  `TreePlotModel<N,Row,Column,Color,Font>`
  `getModel()`
  Returns the model used for the treemap.
  `JComponent`
  `getNativeComponent()`
  `SwingTreePlotView<N,Row,Column>`
  `getView()`
  Returns the view used for the treemap.
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.treemap.treeplot.AbstractTreePlot

  `getController, setController, setLicenseKey, setModel, setView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingTreePlot

    public SwingTreePlot()
    Creates a TreePlot component with default settings and configuration.

  - ### SwingTreePlot

    public SwingTreePlot(SwingTreePlotModel model)
    Creates a TreePlot component with the its native data model.
    Parameters:
      `model` - a TreePlotModel

  - ### SwingTreePlot

    public SwingTreePlot(TreePlotModel model)

  - ### SwingTreePlot

    public SwingTreePlot(TreeMapModel model)
    Creates a TreePlot component using the data model used by TreeMap.
    Parameters:
      `model` - a TreeMapModel

  - ### SwingTreePlot

    public SwingTreePlot(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a TreePlot component with the specified Swing TableModel.
    Parameters:
      `dataFrame` - a DataFrame

  - ### SwingTreePlot

    public SwingTreePlot(TableModel tableModel)
    Creates a TreePlot component with the specified Swing TableModel.
    Parameters:
      `tableModel` - a Swing TableModel

- ## Method Details

  - ### createController

    public SwingTreePlotController createController()

  - ### createTreePlotView

    protected SwingTreePlotView createTreePlotView()

  - ### createController

    protected TreePlotController<JComponent,N,Row,Column,Color,Font> createController(TreePlotView<JComponent,N,Row,Column,Color,Font> view)

  - ### getModel

    public TreePlotModel<N,Row,Column,Color,Font> getModel()
    Description copied from class: `AbstractTreePlot`
    Returns the model used for the treemap.
    Specified by:
      `getModel` in interface `TreePlot<JComponent,N,Row,Column,Color,Font>`
    Overrides:
      `getModel` in class `AbstractTreePlot<JComponent,N,Row,Column,Color,Font>`
    Returns:
      the model in use

  - ### getView

    public SwingTreePlotView<N,Row,Column> getView()
    Description copied from class: `AbstractTreePlot`
    Returns the view used for the treemap.
    Specified by:
      `getView` in interface `TreePlot<JComponent,N,Row,Column,Color,Font>`
    Overrides:
      `getView` in class `AbstractTreePlot<JComponent,N,Row,Column,Color,Font>`
    Returns:
      the view in use

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public JComponent getNativeComponent()